package model;

import java.net.InetAddress;

public class MessagePseudo extends Message{

	private static final long serialVersionUID = 1L;
	
	private String pseudo;
	private int id;
	private String ancienPseudo;
	
	public MessagePseudo(InetAddress addressSrc, InetAddress addressDest, int portSrc, int portDest, int typeMessage,String pseudo, int id, String ancienPseudo) {
		super(addressSrc, addressDest, portSrc, portDest, typeMessage);
		this.pseudo = pseudo;
		this.id = id;
		this.ancienPseudo=ancienPseudo;
	}

	public String getPseudo() {
		return pseudo;
	}

	public void setPseudo(String pseudo) {
		this.pseudo = pseudo;
	}
	
	public int getId() {
		return id;
	}
	
	public void setId(int id) {
		this.id=id;
	}

	public String getAncienPseudo() {
		return ancienPseudo;
	}

	public void setAncienPseudo(String ancienPseudo) {
		this.ancienPseudo = ancienPseudo;
	}
	
	
}
